; IDL-DODS interface.
; Written by Daniel J. Carr - Research Systems, Inc.
; Copyright 1999, UCAR
;
; Batch file to set up system variables and link external routines.
;

DEFSYSV, '!dods_null_c', 0
DEFSYSV, '!dods_byte_c', 1
DEFSYSV, '!dods_int16_c', 2
DEFSYSV, '!dods_uint16_c', 3
DEFSYSV, '!dods_int32_c', 4
DEFSYSV, '!dods_uint32_c', 5
DEFSYSV, '!dods_float32_c', 6
DEFSYSV, '!dods_float64_c', 7
DEFSYSV, '!dods_str_c', 8
DEFSYSV, '!dods_url_c', 9
DEFSYSV, '!dods_array_c', 10
DEFSYSV, '!dods_list_c', 11
DEFSYSV, '!dods_structure_c', 12
DEFSYSV, '!dods_sequence_c', 13
DEFSYSV, '!dods_function_c', 14
DEFSYSV, '!dods_grid_c', 15

FORWARD_FUNCTION dods_var

sl_file = 'idl_dods.sl'
LINKIMAGE, 'dods_connect', sl_file, 1
LINKIMAGE, 'dods_var_p', sl_file, 1
LINKIMAGE, 'dods_var_info', sl_file, 0
LINKIMAGE, 'dods_seq', sl_file, 1
LINKIMAGE, 'dods_next', sl_file, 0
LINKIMAGE, 'get_dods_str', sl_file, 1
LINKIMAGE, 'get_dods_byte', sl_file, 1
LINKIMAGE, 'get_dods_int16', sl_file, 1
LINKIMAGE, 'get_dods_uint16', sl_file, 1
LINKIMAGE, 'get_dods_int32', sl_file, 1
LINKIMAGE, 'get_dods_uint32', sl_file, 1
LINKIMAGE, 'get_dods_float32', sl_file, 1
LINKIMAGE, 'get_dods_float64', sl_file, 1
LINKIMAGE, 'get_dods_array', sl_file, 1
LINKIMAGE, 'get_dods_grid', sl_file, 1
LINKIMAGE, 'dods_free', sl_file, 0

